<div class='card map-card'>
  <CardCover @fallbackHash={{@map.hashBg}} @pictures={{this.pictures}} @size='sm' @onClick={{this.click}} />

  <div class='card-body'>
    {{#if @map.canEdit}}
      <div class='map-options {{if this.isAdminView "is-open"}}' {{did-insert this.setupOptions}}>
        <div class='float-end'>
          <button type='button' class='float-end btn btn-white btn-extend ps-0 pe-0 {{if this.isAdminView "rotate"}}' {{on 'click' this.showAdmin}}>
            <FaIcon @icon='ellipsis-h' />
          </button>
        </div>

        <div class='dropdown-menu {{if this.isAdminView "d-block"}}'>
          <ModelActions::Record @record={{@map}} />

          {{#if @onDelete}}
            <div class='dropdown-divider'></div>

            <button type='button' class='dropdown-item dropdown-item-edit text-start btn-delete text-danger' {{on 'click' (fn @onDelete @map)}}>
              <FaIcon @icon='trash' />
              {{capitalize (t 'delete')}}
            </button>
          {{/if}}
        </div>
      </div>
    {{/if}}

    <LinkTo @route='browse.maps.map-view' @model={{@map.id}} class='map-name' {{did-insert this.titleRendered}}>
      {{@map.name}}
    </LinkTo>

    <VisibilityIcon @value={{@map.visibility.isPublic}} />

    {{#unless @hideDescription}}

      <div class='map-description'>
        <Article::FirstParagraph @contentBlocks={{@map.contentBlocks}} />
      </div>
    {{/unless}}
  </div>
</div>